dofile("scripts/entities/entityinclude.lua")

n = 0

function init(me)
	setupEntity(me)
	entity_initSkeletal(me, "KrotiteVsKrotite")	
	
	entity_setCullRadius(me, 2048)
	entity_setState(me, STATE_IDLE)
	
	entity_scale(me, 0.7, 0.7)
end

function postInit(me)
	n = getNaija()
	entity_setTarget(me, n)
end

function update(me, dt)
end

function enterState(me)
	if entity_isState(me, STATE_ON) then
		entity_stopAllAnimations(me)
		entity_animate(me, "idle", 0, 0, -1)
	end
end

function exitState(me)
end

function damage(me, attacker, bone, damageType, dmg)
	return false
end

function animationKey(me, key)
	if entity_isState(me, STATE_ON) then
		if key == 9 then
			playSfx("EnergyOrbCharge", 0, 0.2)
		elseif key == 13 then
			playSfx("EnergyForm", 0, 0.2)
		elseif key == 19 then
			playSfx("EnergyOrbCharge", 0, 0.2)
		elseif key == 21 then
			playSfx("EnergyForm", 0, 0.2)
		end
	end
end

function hitSurface(me)
end

function songNote(me, note)
end

function songNoteDone(me, note)
end

function song(me, song)
end

function activate(me)
end

